Log in or register to post comments

Application Won't Run

September 12, 2011 - 2:50am #1

Hello.. this is my first experience in AR and I'm going to create an application for my thesis..

The problem is, I build and run this simple project as directed in tutorial qcar and when It goes to the phone, my Samsung galaxy s II GT-I9100 just showing an Icon of Unity, goes blank, and then exit.

Can someone explain this? I'm also didn't get any error message.

Oh, by the way I'm using unity 3.3 and QCAR SDK 1.0.6

Update: Okay.. I've applied 3.2 unity patch now I'm getting this error : "The application Simple (process com.qualcomm.QCARUnityPlayer) has stopped unexpectedly. Please try again."

When I didn't apply the patch, the splash screen still showing but when I apply the patch, the splash screen didn't show at all

Re: Application Won't Run

September 14, 2011 - 12:11pm #4
ksiva wrote:

Make sure your device is connected to the internet the first time you run a QCAR application.

Could this behaviour perhaps be changed in future versions? So that it doesn't have to connect to the internet the first time the app starts but it will establish an internet connection the first time it starts with online connectivity. It would be a better experience for the user.

Re: Application Won't Run

September 14, 2011 - 1:42am #3

I've tried the sample ImageTargets and it worked!
I've tried to create a scene from the sample package and it worked..
But when I create a new project, I can't get it worked..

This is the log from the device in the attachment

It seems that the device trying to downloading the settings but It can't

Update: SOLVED!! It seems that my internet connection is down or something.. Thank you before!

Re: Application Won't Run

September 12, 2011 - 2:43pm #2

Make sure your device is connected to the internet the first time you run a QCAR application. Check the log file (using the DDMS tool or "adb logcat" on the command line) for errors.

Also try running the sample applications (e.g. ImageTargets). They are available with the installer from our website.

You shouldn't need to apply a patch, although you may consider upgrading to Unity 3.4.

- Kim

Log in or register to post comments